kio Library: KSSLCertDlg Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLCertDlg Class Reference

KDE X.509 Certificate Dialog KDE X.509 Certificate Dialog. More...

`#include <ksslcertdlg.h>`

Inheritance diagram for KSSLCertDlg:

[legend]
Collaboration diagram for KSSLCertDlg:

[legend]
List of all members.

## Public Member Functions
| KSSLCertDlg (QWidget *parent=0L, const char *name=0L, bool modal=false)
virtual | ~KSSLCertDlg ()
void | setup (QStringList certs, bool saveChecked=false, bool sendChecked=true) KDE_DEPRECATED
void | setupDialog (const QStringList &certs, bool saveChecked=false, bool sendChecked=true)
QString | getChoice ()
bool | wantsToSend ()
bool | saveChoice ()
void | setHost (const QString &host)

## Detailed Description

KDE X.509 Certificate Dialog KDE X.509 Certificate Dialog.

This class is used to create and display a dialog which contains the user's X.509 certificates and allows the user to present it during SSL sessions.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL

Definition at line 43 of file ksslcertdlg.h.

## Constructor & Destructor Documentation

KSSLCertDlg::KSSLCertDlg | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | bool | modal = `false`
| ) |

  | Construct a KSSL certificate dialog. Parameters:
  | parent | the parent widget
  | name | the internal name of this instance
  | modal | create a modal dialog if set to true
Definition at line 47 of file ksslcertdlg.cc. References QDialog::accept(), QListView::addColumn(), QGridLayout::addMultiCellWidget(), QGridLayout::addWidget(), and KDialog::setCaption().

KSSLCertDlg::~KSSLCertDlg | ( |  | ) | `[virtual]`

| Destroy this object and close the dialog. Definition at line 79 of file ksslcertdlg.cc.

## Member Function Documentation

void KSSLCertDlg::setup | ( | QStringList | certs,
|  | bool | saveChecked = `false`,
|  | bool | sendChecked = `true`
| ) |

  | Setup the dialog. Call this before you display the dialog. Parameters:
  | certs | the list of possible certificates
  | saveChecked | save the checked item for the future
  | sendChecked | send the checked item to the remote host
Deprecated: Definition at line 84 of file ksslcertdlg.cc. References setupDialog().

void KSSLCertDlg::setupDialog | ( | const QStringList & | certs,
|  | bool | saveChecked = `false`,
|  | bool | sendChecked = `true`
| ) |

  | Setup the dialog. Call this before you display the dialog. Parameters:
  | certs | the list of possible certificates
  | saveChecked | save the checked item for the future
  | sendChecked | send the checked item to the remote host
Definition at line 88 of file ksslcertdlg.cc. References QListView::firstChild(), QRadioButton::setChecked(), QCheckBox::setChecked(), and QListView::setSelected(). Referenced by setup().

QString KSSLCertDlg::getChoice | ( |  | ) |

| Obtain the name of the certificate the user wants to send. Returns: the name of the certificate Definition at line 115 of file ksslcertdlg.cc. References QListView::selectedItem().

bool KSSLCertDlg::wantsToSend | ( |  | ) |

| Determine if the user wants to send a certificate. Returns: true if the user wants to send a certificate Definition at line 110 of file ksslcertdlg.cc. References QRadioButton::isChecked().

bool KSSLCertDlg::saveChoice | ( |  | ) |

| Determine if the user wants to save the choice for the future. Returns: true if the user wants to save the choice. Definition at line 105 of file ksslcertdlg.cc. References QCheckBox::isChecked().

void KSSLCertDlg::setHost | ( | const QString & | host | ) |

  | Set the hostname that we are connecting to. Parameters:
  | host | the hostname
Definition at line 120 of file ksslcertdlg.cc. References KDialog::setCaption().

The documentation for this class was generated from the following files:

- ksslcertdlg.h
- ksslcertdlg.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:24 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003